﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using static IStation.Model.BimfaceFileMapping;

namespace IStation.Application
{
    /// <summary>
    /// 
    /// </summary>
    public class AddBimfaceFileMappingInput
    {


        /// <summary>
        /// 客户标识
        /// </summary>	
        public long CorpID { get; set; }

        /// <summary>
        /// 所属类型
        /// </summary>	
        public string BelongType { get; set; }

        /// <summary>
        /// 所属标识
        /// </summary>	
        public long BelongID { get; set; }

        /// <summary>
        /// Bimface文件类型标识
        /// </summary>	
        public long BimfaceFileTypeID { get; set; }

        /// <summary>
        /// Bimface文件标识
        /// </summary>	
        public long BimfaceFileID { get; set; }

        /// <summary>
        /// 设置
        /// </summary>	
        public MappingSettingsModel Settings { get; set; }

        /// <summary>
        /// 排序码
        /// </summary>	
        public int SortCode { get; set; }

        /// <summary>
        /// 说明
        /// </summary>	
        public string Description { get; set; }

    }
}
